Subject: Re: bug#67456: [PATCH] seq.el: Add functions for mapping over subsequences

From: Stefan Kangas <[email-masked]>
Date: Mon, 24 Feb 2025 20:39:31 -0600

Okamsn <[email-masked]> writes:

> Stefan Kangas wrote:
>> Okamsn <[email-masked]> writes:
>>
>>> Augusto Stoffel wrote:
>>>> This operation has quadratic complexity for anything other than regular
>>>> linked lists.  I'm not sure it's a good idea to add it to a generic
>>>> sequence library...
>>>
>>>
>>> Thank you for the feedback.
>>>
>>> Do you know whether there is a better way to implement the idea for
>>> arrays? Is there a way to apply a function to a portion of the array
>>> without copying the sub-sequences, if that is what you mean?
>>
>> Hmm, it seems like this issue got stuck due to problems with algorithmic
>> complexity.  Performance is a real issue in seq.el, so I think we should
>> solve that before we consider installing anything.
>>
>> Are you still working on this?
>
> I am no longer working on this.  For some things, I opted to use the
> Stream package from ELPA, which now better supports arrays.  Although it
> has the same problem when first traversing a seq.el sequence, it avoids
> recreating things for the sub-sequence.
>
> I am fine with this bug being closed.

Thanks, I guess that means that it's unlikely that we'll make more
progress here.  I'm therefore closing this bug report.